org.eclipse.wst.jsdt.chromium

## Enum JsScope.Type

- java.lang.Object
- - java.lang.Enum<JsScope.Type>
  - - org.eclipse.wst.jsdt.chromium.JsScope.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JsScope.Type>

Enclosing interface:
  JsScope

    public static enum JsScope.Type
    extends java.lang.Enum<JsScope.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CATCH`
`CLOSURE`
`GLOBAL`
`LOCAL`
`UNKNOWN`
`WITH`

### Method Summary

All Methods Static Methods Concrete Methods
`static JsScope.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JsScope.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GLOBAL

    public static final JsScope.Type GLOBAL

#### LOCAL

    public static final JsScope.Type LOCAL

#### WITH

    public static final JsScope.Type WITH

#### CLOSURE

    public static final JsScope.Type CLOSURE

#### CATCH

    public static final JsScope.Type CATCH

#### UNKNOWN

    public static final JsScope.Type UNKNOWN

### Method Detail

#### values

    public static JsScope.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JsScope.Type c : JsScope.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JsScope.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null